# Visualization
TKV2d
Prs2d

# Prs2d_Arrow Class Reference

Constructs the primitive arrow
.

`#include <Prs2d_Arrow.hxx>`

Inheritance diagram for Prs2d_Arrow:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_Arrow (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const gp_Ax2d &Location, const Standard_Real OpenAngle=5.0, const Standard_Real Length=5.0, const Prs2d_TypeOfArrow theType=Prs2d_TOA_CLOSED)
| create an arrow: "Location" gives the location and direction, "OpenAngle" gives the opening angle (in radians), "Length" gives the length.
Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d | ArrayOfPnt2d (const Standard_Boolean withTrsf=Standard_False) const
Standard_EXPORT Prs2d_TypeOfArrow | TypeOfArrow () const
| Returns type of arrow Type is: TOA_OPENED, TOA_CLOSED, TOA_FILLED .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the arrow <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the arrow <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the arrow <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the arrow <me> is picked, Standard_False if not. .

## Private Attributes

TShort_Array1OfShortReal | myXVert
TShort_Array1OfShortReal | myYVert
Prs2d_TypeOfArrow | myTypeOfArrow

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Arrow::Prs2d_Arrow | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const gp_Ax2d & | Location,
|  | const Standard_Real | OpenAngle = `5.0`,
|  | const Standard_Real | Length = `5.0`,
|  | const Prs2d_TypeOfArrow | theType = `Prs2d_TOA_CLOSED`
| ) |

## Member Function Documentation

Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d Prs2d_Arrow::ArrayOfPnt2d | ( | const Standard_Boolean | withTrsf = `Standard_False` | ) | const

Standard_EXPORT void Prs2d_Arrow::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Arrow::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Arrow::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Prs2d_Arrow::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Boolean Prs2d_Arrow::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Arrow::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Prs2d_TypeOfArrow Prs2d_Arrow::TypeOfArrow | ( |  | ) | const

## Field Documentation

Prs2d_TypeOfArrow Prs2d_Arrow::myTypeOfArrow `[private]`

TShort_Array1OfShortReal Prs2d_Arrow::myXVert `[private]`

TShort_Array1OfShortReal Prs2d_Arrow::myYVert `[private]`

The documentation for this class was generated from the following file:

- Prs2d_Arrow.hxx